Subject: bug#4128:

From: David Reitter <[email-masked]>
Date: Wed, 12 Aug 2009 10:22:50 -0400

> However, binding anything to a power-off command within Emacs sounds
> like a bad idea.

In the contrary, not reacting to the ns-power-off message would be a  
bad idea because it would stall and then cancel shutdown (and probably  
log out as well) on OS X.  The app needs to react correctly to that,  
and that is to quit while asking the user whether to save unsaved  
buffers.

There is no Super modifier on Macs, but perhaps it's not a good idea  
to use Super as a proxy for the Command key on pure Nextstep.

I would generally be in favor for making GNU Emacs "pure", i.e. making  
it as compatible with GNU Emacs on other platforms, and leave the Mac- 
ification to distributions or contributed packages that can be enabled  
by the users.